Subject: bug#34162: closed (Re: bug#34162: linux-libre 4.20+ fails to mount ext4 on aarch64)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Jan 2019 04:04:02 +0000

Your bug report

#34162: linux-libre 4.20+ fails to mount ext4 on aarch64

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34162: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34162
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34162: linux-libre 4.20+ fails to mount ext4 on aarch64
From: Mark H Weaver <[email-masked]>
To: Vagrant Cascadian <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Jan 2019 23:02:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Vagrant Cascadian <[email-masked]> writes:

> On 2019-01-23, Mark H Weaver wrote:
>> Here's a proposed (untested) patch.  Would you like to test it and see
>> if it eliminates the need for this workaround?
>
> It did, thanks!

Okay, I pushed it to master, commit
ff0b73028c0bbbcbf352989ed3863947357c3bce.

I'm closing this bug report.

    Thanks!
      Mark

Subject: linux-libre 4.20+ fails to mount ext4 on aarch64
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jan 2019 11:48:47 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

After upgrading to linux-libre 4.20, and again tested with 4.20.3, an
aarch64 system failed to boot (using 4.19.10 worked fine):

[    3.692351] device-mapper: ioctl: 4.39.0-ioctl (2018-04-03) initialised: [email-masked]
ext2fs_check_if_mount: Can't check if filesystem is mounted due to missing mtab file while determining whether /dev/sda6 is mounted.
/dev/sda6: clean, 596262/6553600 files, 7663147/26214400 blocks
[    3.948786] EXT4-fs (sda6): Cannot load crc32c driver.
ERROR: In procedure mount:
In procedure mount: No such file or directory

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
GNU Guile 2.2.4
Copyright (C) 1995-2017 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guile-user)>

Workaround or fix was to add to config.scm:

(initrd (append (list "crc32c_generic" ... ) %base-initrd-modules))

4.19.10 and earlier worked fine without this addition; as far as I can
see the relevent kernel configurations are all present; but some
behavior changed with the ext4 driver; Is the initrd no longer including
soft module dependencies? (e.g. for optional ext4 features)

This seems similar to Debian bug:

  https://bugs.debian.org/819725

live well,
  vagrant